MONGOC_AUTO_ENCRYPTION_OPTS_SET_KEY_VAULT_NAMESPACE(3)

NAME
mongoc_auto_encryption_opts_set_key_vault_namespace - mongoc_auto_encryption_opts_set_keyvault_namespace()

SYNOPSIS

void
mongoc_auto_encryption_opts_set_keyvault_namespace (
   mongoc_auto_encryption_opts_t *opts, const char *db, const char *coll);

Set the database and collection name of the key vault. The key vault is the specially designated collection containing encrypted data keys for Client-Side Field Level Encryption.

PARAMETERS

•   opts: The mongoc_auto_encryption_opts_t

•   db: A const char * representing the database name of the key vault collection.

•   coll: A const char * representing the collection name of the key vault collection.

    SEE ALSO:
    mongoc_client_enable_auto_encryption()

    The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc